/* ************************************************************************
 *
 * CookieKeeper - a Mozilla add-on
 * (c) 2013-2014 Yvon TANGUY
 *
 * ***** BEGIN LICENSE BLOCK **********************************************
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * ***** END LICENSE BLOCK **********************************************
 *
 * CookieKeeper preferences panel.
 *
 * ************************************************************************
 */

var gCookieKeeperPrefs = {

  init: function() {
    try {
      var prefsWindow = document.getElementById("cookieKeeperPrefsWindow");
      var paneCK      = document.getElementById(CK_PREFPANE_OPTIONS);
      var panePC      = document.getElementById(CK_PREFPANE_PCOOKIES);
      var panePerm    = document.getElementById(CK_PREFPANE_PERMISSIONS);
      var paneBrowser = document.getElementById(CK_PREFPANE_BROWSER);

      let arg = (window.arguments == null || window.arguments.length == 0) ? CK_PREFPANE_OPTIONS : window.arguments[0];

      if (arg == CK_PREFPANE_PCOOKIES) {
        prefsWindow.showPane(panePC);
      } else if (arg == CK_PREFPANE_BROWSER) {
        prefsWindow.showPane(paneBrowser);
      } else if (arg == CK_PREFPANE_PERMISSIONS) {
        prefsWindow.showPane(panePerm);
      } else {
        prefsWindow.showPane(paneCK);
      }

    } catch (ex) {
      log.e(ex);
    }
  },

  uninit: function() {
    try {
      if (typeof(gCookieKeeperPermissionsPrefs) != "undefined") {
        // gCookieKeeperPermissionsPrefs is undefined if we do not have
        // opened the permissions tabs at all.
        gCookieKeeperPermissionsPrefs.uninit();
      }
    } catch (ex) {
      log.e(ex);
    }
  }
};
