/* ************************************************************************
 *
 * CookieKeeper - a Mozilla add-on
 * (c) 2013-2014 Yvon TANGUY
 *
 * ***** BEGIN LICENSE BLOCK **********************************************
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * ***** END LICENSE BLOCK **********************************************
 *
 * Mozilla Thunderbird preferences.
 *
 * ************************************************************************
 */

var gCookieKeeperThunderbirdPrefs = {

  _groupAcceptPolicy          : null,
  _prefAcceptPolicy           : null,
  _imgWarnAcceptPolicy        : null,
  _groupLifetimePolicy        : null,
  _prefLifetimePolicy         : null,
  _imgWarnLifetimePolicy      : null,
  _hbLifetimePolicy           : null,
  _labelLifetimeDays          : null,
  _prefLifetimeDays           : null,

  init: function() {
    //log.d("gCookieKeeperThunderbirdPrefs init ");
    var appinfos        = Cc["@mozilla.org/xre/app-info;1"].getService(Ci.nsIXULAppInfo).QueryInterface(Ci.nsIXULRuntime);
    const appPrefInfos  = APP_MOZ_CONST[appinfos.ID];

    this._groupAcceptPolicy           = document.getElementById("acceptPolicyRG");
    this._prefAcceptPolicy            = document.getElementById(appPrefInfos.COOKIES_BEHAVIOR);
    this._imgWarnAcceptPolicy         = document.getElementById("imgWarnAcceptNone");
    this._groupLifetimePolicy         = document.getElementById("lifetimePolicyRG");
    this._prefLifetimePolicy          = document.getElementById(appPrefInfos.COOKIES_LIFETIME);
    this._imgWarnLifetimePolicy       = document.getElementById("imgWarnPolicySession");
    this._tbLifetimeDays              = document.getElementById("tbLifetimeDays");
    this._prefLifetimeDays            = document.getElementById(appPrefInfos.COOKIES_LIFETIME_DAYS);
    this._labelLifetimeDays           = document.getElementById("labelLifetimePolicy");

    this.updateUI();
  },

  updateUI: function() {

    if (this._prefAcceptPolicy.value == MOZ_BEHAVIOR_DISABLED) {
      this._groupLifetimePolicy.disabled  = true;
      this._tbLifetimeDays.disabled       = true;
      this._labelLifetimeDays.disabled    = true;
      this._imgWarnAcceptPolicy.hidden    = false;
      this._imgWarnLifetimePolicy.hidden  = true;
    } else {
      this._groupLifetimePolicy.disabled  = false;
      this._labelLifetimeDays.disabled    = false;
      this._imgWarnAcceptPolicy.hidden    = true;

      if (this._prefLifetimePolicy.value == MOZ_ACCEPT_FOR_N_DAYS) {
        this._tbLifetimeDays.disabled     = false;
      } else {
        this._tbLifetimeDays.disabled     = true;
      }
      if (this._prefLifetimePolicy.value == MOZ_ACCEPT_SESSION) {
        this._imgWarnLifetimePolicy.hidden = false;
      } else {
        this._imgWarnLifetimePolicy.hidden = true;
      }
    }
  }

};
